import java.awt.*;
import java.awt.event.*;

public class FensterSchliesstSchick extends MeinFenster{
  public FensterSchliesstSchick(String titel, int w, int h){
      super(titel, w, h);
      // Wir verwenden eine Klasse, die nur die gewnschten Methoden 
      // der Klasse WindowAdapter berschreibt.
      addWindowListener(new WindowClosingAdapter());
      setVisible(true);
  }
  
  public static void main( String[] args ) {
    FensterSchliesstSchick f = 
             new FensterSchliesstSchick("Schliesse mich!", 200, 100);
  }
}

/* Etwas nervig war es, alle Methoden, die das Interface WindowListener 
   angeboten hat, berschreiben zu mssen. Angenehmer ist es, die 
   WindowAdapter-Klasse zu verwenden. Sie hat alle Funktionen bereits 
   mit leerem Programmkrper implmentiert. Wollen wir nur eine Funktion 
   verwenden, so knnen wir in einer Subklasse von WindowAdapter die 
   gewnschte Methode berschreiben. In diesem Fall, windowClosing.
*/
class WindowClosingAdapter extends WindowAdapter {
  public void windowClosing(WindowEvent e) { 
         System.exit(0); 
  }
}